Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.security
Class PermissionInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.security.PermissionInfo

Direct Known Subclasses:
  RolePermissionInfo, UserPermissionInfo

public abstract class PermissionInfo
extends java.lang.Object
implements java.io.Serializable

Holds permisssion infomation about a principal.

Objects of this class holds various permissions defined by `EnumPermission` for a particular principal. These are the `Serializable` objects that will be transmitting across the application server boundary.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`protected` | `PermissionInfo(java.lang.String principalId)` Create a new `PermissionInfo` object.

Method Summary
`java.util.ArrayList` | `getPermissions()`
`java.lang.String` | `getPrincipalId()` Return the principal ID.
`boolean` | `hasPermission(EnumPermission permission)` Check whether the principal has a specific `permission`
`void` | `setPermission(EnumPermission permission, boolean val)` Set a specific `permission` of the principal to `val`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PermissionInfo

    protected PermissionInfo(java.lang.String principalId)

  Create a new `PermissionInfo` object.

  Parameters:
    `principalId` - WebLogic Process Integrator principal ID.

Method Detail

### getPrincipalId

    public final java.lang.String getPrincipalId()

  Return the principal ID.

  Returns:
    The principal's ID.

### hasPermission

    public boolean hasPermission(EnumPermission permission)

  Check whether the principal has a specific `permission`

  Parameters:
    `permission` - The specific permission.
  Returns:
    `true` if the principal has the specific permission.

### setPermission

    public void setPermission(EnumPermission permission,
                              boolean val)

  Set a specific `permission` of the principal to `val`.

  Parameters:
    `permission` - The specific permission.
    `val` - Grant the permission if `val` is `true`.

### getPermissions

    public java.util.ArrayList getPermissions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)